FROM resin/rpi-raspbian:jessie-20161026

RUN apt-get update

RUN apt-get install -y git

RUN git clone https://github.com/firehol/netdata.git /netdata.git --depth=1

RUN cd /netdata.git && chmod +x ./docker-build.sh && sync && sleep 1 && ./docker-build.sh

WORKDIR /

ENV NETDATA_PORT 19999
EXPOSE $NETDATA_PORT

CMD /usr/sbin/netdata -D -s /host -p ${NETDATA_PORT}

